Skip to content

Get Graph Overview

GET
/api/v1/connections/{connection_id}/graph

Get FK dependency graph overview for a connection.

connection_id
required
Connection Id
string format: uuid

Successful Response

GraphOverviewApiResponse

Response for GET /connections/{id}/graph.

object
success
required
Success

Whether the request succeeded.

boolean
data
Any of:
GraphOverview
object
table_count
required
Table Count

Total number of tables in the FK dependency graph.

integer
edge_count
required
Edge Count

Total number of foreign key relationships in the graph.

integer
tables
required
Tables

Sorted list of all table names in the graph.

Array<string>
topological_order
required
Topological Order

Tables sorted in topological order based on FK dependencies. Tables with no dependencies appear first.

Array<string>
error
Any of:
ErrorDetail
object
code
required
Code

Machine-readable error code (e.g., ‘NOT_FOUND’, ‘VALIDATION_ERROR’).

string
message
required
Message

Human-readable error message describing what went wrong.

string
details
Any of:

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object